Name: icu38
Version: 3.8.1
Release: alt3

Summary: International Components for Unicode
Group: System/Libraries
License: X License
URL: http://www.icu-project.org/

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source: http://download.icu-project.org/files/icu4c/%version/icu4c-3_8_1-src.tgz

Patch0: icu-3.8-alt-setBreakType-public.patch
Patch10: icu-3.8-regexp.patch

# Automatically added by buildreq on Mon Aug 09 2004
BuildRequires: doxygen gcc-c++ libstdc++-devel

%description
ICU is a C++ and C library that provides robust and full-featured Unicode
support. 

%package utils
Summary: International Components for Unicode (utilities)
Group: Text tools
Requires: libicu = %version-%release
Provides: icu = %version-%release
Obsoletes: icu

%description utils
ICU is a C++ and C library that provides robust and full-featured Unicode
support. This package contains the utilites for compiling and developing 
programs with ICU. 

%package -n libicu38
Summary: International Components for Unicode (libraries)
Group: System/Libraries

%description -n libicu38
ICU is a C++ and C library that provides robust and full-featured Unicode
support. This package contains the runtime libraries for ICU. 

%package -n libicu-devel
Summary: International Components for Unicode (development files)
Group: Development/C++
Requires: libicu = %version-%release
Requires: icu-utils = %version-%release

%description -n libicu-devel
ICU is a C++ and C library that provides robust and full-featured Unicode
support. This package contains the development files for ICU.

%package samples
Summary: Sample programs for ICU
Group: Development/Other
Requires: libicu-devel = %version-%release

%description samples
ICU is a C++ and C library that provides robust and full-featured Unicode
support. This package contains sample code for ICU.

%prep
%setup -q -n icu

%patch0 -p1
%patch10 -p0

%build
cd source
%configure \
	--disable-samples \
	--disable-static
%make_build

%install
cd source
%make DESTDIR=%buildroot install

%post -n libicu38 -p %post_ldconfig

%postun	-n libicu38 -p %postun_ldconfig

%files -n libicu38
%doc *.html *.txt
%_libdir/*.so.*

%changelog
* Sun Jun 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 3.8.1-alt3
- build libraries only

* Fri Jan 25 2008 Valery Inozemtsev <shrek@altlinux.ru> 3.8.1-alt2
- fixed CVE-2007-4770, CVE-2007-4771

* Mon Dec 24 2007 Valery Inozemtsev <shrek@altlinux.ru> 3.8.1-alt1
- 3.8.1:
  + Updated time zone data to Olson 2007j
  + Updated to CLDR 1.5.1 data
  + Various string search fixes
  + Various collation fixes
  + Various time zone parsing, formatting and calculation fixes
  + Various font layout engine fixes
  + Various platform specific fixes
  + Improved BiDi implementation to handle multiple levels
- update URL

* Wed Dec 05 2007 Valery Inozemtsev <shrek@altlinux.ru> 3.8-alt2
- setBreakType to public

* Sat Oct 27 2007 Valery Inozemtsev <shrek@altlinux.ru> 3.8-alt1
- 3.8

* Mon Nov 06 2006 Valery Inozemtsev <shrek@altlinux.ru> 3.6-alt1
- 3.6

* Mon May 22 2006 Valery Inozemtsev <shrek@altlinux.ru> 3.4.1-alt1
- Updated to 3.4.1

* Mon Sep 19 2005 Mikhail Zabaluev <mhz@altlinux.ru> 3.4-alt1
- Updated to 3.4
- Removed binaries from the samples directory
- Added URL

* Thu Feb 10 2005 Mikhail Zabaluev <mhz@altlinux.ru> 3.2-alt1
- Updated to 3.2
- Major spec cleanup
- Introduced samples subpackage

* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.0-alt3.1
- Rebuilt with libstdc++.so.6.

* Tue Sep 21 2004 Pavel S. Mironchik <tibor@altlinux.ru> 3.0-alt3
- Fixed dependece

* Tue Sep  7 2004 Pavel S. Mironchik <tibor@altlinux.ru> 3.0-alt2
- fixed [Bug 5048]

* Mon Aug  9 2004 Pavel S. Mironchik <tibor@altlinux.ru> 3.0-alt1
- release

* Thu Apr 29 2004 Pavel S. Mironchik <tibor@altlinux.ru> 2.8-alt1
- initial build for Sisyphus 
